Skip to content
Start here

List Vectors

client.vectorize.indexes.listVectors(stringindexName, IndexListVectorsParams { account_id, count, cursor } params, RequestOptionsoptions?): IndexListVectorsResponse { count, isTruncated, totalCount, 3 more } | null
GET/accounts/{account_id}/vectorize/v2/indexes/{index_name}/list

Returns a paginated list of vector identifiers from the specified index.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Vectorize WriteVectorize Read
ParametersExpand Collapse
indexName: string
params: IndexListVectorsParams { account_id, count, cursor }
account_id: string

Path param: Identifier

maxLength32
count?: number

Query param: Maximum number of vectors to return

maximum1000
minimum1
cursor?: string

Query param: Cursor for pagination to get the next page of results

ReturnsExpand Collapse
IndexListVectorsResponse { count, isTruncated, totalCount, 3 more }
count: number

Number of vectors returned in this response

isTruncated: boolean

Whether there are more vectors available beyond this response

totalCount: number

Total number of vectors in the index

vectors: Array<Vector>

Array of vector items

id: string

Identifier for a Vector

maxLength64
cursorExpirationTimestamp?: string | null

When the cursor expires as an ISO8601 string

formatdate-time
nextCursor?: string | null

Cursor for the next page of results

List Vectors

import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

const response = await client.vectorize.indexes.listVectors('example-index', {
  account_id: '023e105f4ecef8ad9ca31a8372d0c353',
});

console.log(response.count);
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {
    "count": 100,
    "isTruncated": true,
    "totalCount": 500,
    "vectors": [
      {
        "id": "some-vector-id-023e105f4ecef8ad9ca31a8372d0c353"
      }
    ],
    "cursorExpirationTimestamp": "2025-08-12T20:32:52.469144957+00:00",
    "nextCursor": "suUTaDY5PFUiRweVccnzyt9n75suNPbXHPshvCzue5mHjtj7Letjvzlza9eGj099"
  },
  "success": true
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {
    "count": 100,
    "isTruncated": true,
    "totalCount": 500,
    "vectors": [
      {
        "id": "some-vector-id-023e105f4ecef8ad9ca31a8372d0c353"
      }
    ],
    "cursorExpirationTimestamp": "2025-08-12T20:32:52.469144957+00:00",
    "nextCursor": "suUTaDY5PFUiRweVccnzyt9n75suNPbXHPshvCzue5mHjtj7Letjvzlza9eGj099"
  },
  "success": true
}